package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventThunder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防雷
* @author wuhonghao
* @date 2021/11/13
*/
@Mapper
@Repository
public interface BasePreventThunderMapper {

    /**
    * 新增
    */
    int insert(BasePreventThunder basePreventThunder);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventThunder basePreventThunder);

    /**
    * 获取单个
    */
    BasePreventThunder getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventThunder> getList(BasePreventThunder basePreventThunder);

}
